package com.ruoyi.ems.record.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 蒸汽实时数据对象 ems_record_steam_instant
 *
 * @author Yinq
 * @date 2024-05-22
 */
public class EmsRecordSteamInstant extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增标识
     */
    private Long objId;

    /**
     * 计量设备编号
     */
    @Excel(name = "计量设备编号")
    private String monitorCode;

    /** 计量设备编号 */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /**
     * 采集时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /**
     * 瞬时流量
     */
    @Excel(name = "瞬时流量")
    private BigDecimal fluxFlow;

    /**
     * 累计流量
     */
    @Excel(name = "累计流量")
    private BigDecimal steamFlow;

    /**
     * 瞬时热量
     */
    @Excel(name = "瞬时热量")
    private BigDecimal heatInstantValue;

    /**
     * 累计热量
     */
    @Excel(name = "累计热量")
    private BigDecimal heatTotalValue;

    /**
     * 温度
     */
    @Excel(name = "温度")
    private BigDecimal temperature;

    /**
     * 压力
     */
    @Excel(name = "压力")
    private BigDecimal press;

    /**
     * 密度
     */
    @Excel(name = "密度")
    private BigDecimal density;

    /**
     * 压力差值
     */
    @Excel(name = "压力差值")
    private BigDecimal differencePress;

    /**
     * 记录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setMonitorCode(String monitorCode) {
        this.monitorCode = monitorCode;
    }

    public String getMonitorCode() {
        return monitorCode;
    }

    public void setCollectTime(Date collectTime) {
        this.collectTime = collectTime;
    }

    public Date getCollectTime() {
        return collectTime;
    }

    public void setFluxFlow(BigDecimal fluxFlow) {
        this.fluxFlow = fluxFlow;
    }

    public BigDecimal getFluxFlow() {
        return fluxFlow;
    }

    public void setSteamFlow(BigDecimal steamFlow) {
        this.steamFlow = steamFlow;
    }

    public BigDecimal getSteamFlow() {
        return steamFlow;
    }

    public void setHeatInstantValue(BigDecimal heatInstantValue) {
        this.heatInstantValue = heatInstantValue;
    }

    public BigDecimal getHeatInstantValue() {
        return heatInstantValue;
    }

    public void setHeatTotalValue(BigDecimal heatTotalValue) {
        this.heatTotalValue = heatTotalValue;
    }

    public BigDecimal getHeatTotalValue() {
        return heatTotalValue;
    }

    public void setTemperature(BigDecimal temperature) {
        this.temperature = temperature;
    }

    public BigDecimal getTemperature() {
        return temperature;
    }

    public void setPress(BigDecimal press) {
        this.press = press;
    }

    public BigDecimal getPress() {
        return press;
    }

    public void setDensity(BigDecimal density) {
        this.density = density;
    }

    public BigDecimal getDensity() {
        return density;
    }

    public void setDifferencePress(BigDecimal differencePress) {
        this.differencePress = differencePress;
    }

    public BigDecimal getDifferencePress() {
        return differencePress;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("monitorCode", getMonitorCode())
                .append("collectTime", getCollectTime())
                .append("fluxFlow", getFluxFlow())
                .append("steamFlow", getSteamFlow())
                .append("heatInstantValue", getHeatInstantValue())
                .append("heatTotalValue", getHeatTotalValue())
                .append("temperature", getTemperature())
                .append("press", getPress())
                .append("density", getDensity())
                .append("differencePress", getDifferencePress())
                .append("recordTime", getRecordTime())
                .toString();
    }
}
